Package org.eclipse.net4j.util.security.operations

# Class OperationAuthorizerFactory<CONTEXT>

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.security.operations.OperationAuthorizerFactory<CONTEXT>

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

public abstract class OperationAuthorizerFactory<CONTEXT> extends Factory
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.16
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`OperationAuthorizerFactory(String type)`

## Method Summary

Modifier and Type
Method
Description
`abstract OperationAuthorizer<CONTEXT>`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### OperationAuthorizerFactory

public OperationAuthorizerFactory(String type)

## Method Details

### create

public abstract OperationAuthorizer<CONTEXT> create(String description) throws ProductCreationException

Throws:
  `ProductCreationException`
Since:
  3.0